{if isset($hasNoData) && $hasNoData}
  <div class="alert alert-warning">
    <p>{__('Die eingefügten Daten wurden von dem zuletzt eingestellten und Konfiguriertem Gutschein eingefügt, bitte speichern Sie diese um sie auch für diesen Gutsschein dauerhaft zu aktivieren.')}</p>
  </div>
{/if}
<form method="post" action="{$adminURL}">
  <input type="hidden" value="1" name="config">
  <input type="hidden" value="saveImageData" name="cssAdminAction">
  <input type="hidden" name="singleSRC_realURL_width" id="singleSRC_realURL_width" value="{$imageData->width}">
  <input type="hidden" name="singleSRC_realURL_height" id="singleSRC_realURL_height"  value="{$imageData->height}">
  <input type="hidden" name="singleSRC_realURL" id="singleSRC_realURL"  value="../mediafiles/gutscheine/{$imageData->voucherImageUrl}">
  {$jtl_token}
  <input type="hidden" value="{$imageData->id}" name="id">
  <div class="panel-body">

    <div class="input-group" style="margin-bottom:15px">
      <div class="back">
        <button class="btn btn-danger" id="backToFolders"><i class="fa fa-arrow-left"></i> Zurück</button>
        <a href="{$adminURL}&cssAdminAction=preview&image={$imageData->id}" class="btn btn-success " id="previewImage" target="_blank"><i class="fa fa-eye"></i> Vorschau</a>
        <button class="btn btn-warning " id="css-reset" type="button"  data-toggle="tooltip" data-html="true" data-toggle="tooltip" data-placement="top" data-original-title="Wenn Sie schwierigkeiten haben k&ouml;nnen SIe hier die Positionen auf 0 setzen"><i class="fa fa-undo" ></i> Positionsreset</button>
      </div>
    </div>
    <div class="gutscheinItem-box" >
      <img src="../mediafiles/gutscheine/{$imageData->voucherImageUrl}" >
      <br><br>
    </div>


    <fieldset class="border p-2 form-group"><legend class="w-auto">{__('Grußtext')}</legend>
      <div class="input-group mb-3">
        <div class="input-group-prepend input-label" >
          <span class="input-group-text" style="white-space:normal; text-align:left">{__('Konfiguration Grußtext:')}</span>
        </div>
        <div class="input-group-prepend position-field position-field-top">
          <input name="voucherTopPosition_top" id="voucherTopPosition_top"  class="form-control" value="{$imageData->voucherTopPosition_top|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-right">
          <input name="voucherTopPosition_right" id="voucherTopPosition_right"  class="form-control" value="{$imageData->voucherTopPosition_right|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-bottom">
          <input name="voucherTopPosition_bottom" id="voucherTopPosition_bottom"  class="form-control" value="{$imageData->voucherTopPosition_bottom|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-left">
          <input name="voucherTopPosition_left" id="voucherTopPosition_left"  class="form-control" value="{$imageData->voucherTopPosition_left|@intval}">
        </div>

        <div class="input-group-prepend">
          <button type="button" data-position="Top" data-open-modal="#voucherPosition"  id="voucherTopPositionButton" class="btn btn-info btn-lg btn-block positionButton" style="border-width: 0px; min-width: 150px;" data-dismiss="modal">Position</button>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>
      <div class="input-group mb-3">
        <div class="input-group-prepend" >
          <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Text horizontal / vertikal')}</span>
        </div>
        <div class="input-group-prepend">
          <select name="voucherTopAlign" id="voucherTopAlign"  class="form-control">
            <option {if $imageData->voucherTopAlign =='left' } selected {/if} value="left">{__('linksbündig')}</option>
            <option {if $imageData->voucherTopAlign =='right' } selected {/if} value="right">{__('rechtsbündig')}</option>
            <option {if empty($imageData->voucherTopAlign) || $imageData->voucherTopAlign =='center' } selected {/if} value="center">{__('zentriert')}</option>
          </select>
        </div>
        <div class="input-group-prepend">
          <select name="voucherTopValign" id="voucherTopValign"  class="form-control">
            <option {if $imageData->voucherTopValign =='top' } selected {/if} value="top">{__('oben')}</option>
            <option {if $imageData->voucherTopValign =='bottom' } selected {/if} value="bottom">{__('unten')}</option>
            <option {if empty($imageData->voucherTopValign) || $imageData->voucherTopValign =='middle' } selected {/if} value="middle">{__('mittig')}</option>
          </select>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>
      <div class="input-group mb-3">
        <div class="input-group-prepend" >
          <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Font Size / Farbe / Art')}</span>
        </div>
        <div class="input-group-prepend">
          <input name="voucherTopFontSize" id="voucherTopFontSize"  class="form-control" value="{if !$imageData->voucherTopFontSize}14{else}{$imageData->voucherTopFontSize}{/if}">
        </div>
        <div class="input-group-prepend colorselector">
          <input name="voucherTopColor" id="voucherTopColor"  class="form-control cWheel" value="{$imageData->voucherTopColor}">
        </div>
        <div class="input-group-prepend colorselector">
          <select name="voucherTopFontFamily" id="voucherTopFontFamily" data-font-path="{$voucherFontPath}" class="form-control">
            {if is_array($voucherFonts)}
              {foreach from=$voucherFonts item=font}
                <option {if $font == $imageData->voucherTopFontFamily} selected {/if} value="{$font}" >{$font|replace:".ttf":""}</option>
              {/foreach}
            {else}
              <option value="standard" >{__('Standard Schrift')}</option>
            {/if}
          </select>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>
    </fieldset>


    <fieldset class="border p-2 form-group"><legend class="w-auto">{__('Gutscheinwert')}</legend>
      <div class="input-group mb-3">
        <div class="input-group-prepend input-label" >
          <span class="input-group-text" style="white-space:normal; text-align:left">{__('Konfiguration Gutscheinwert:')}</span>
        </div>
        <div class="input-group-prepend position-field position-field-top">
          <input name="voucherMiddlePosition_top" id="voucherMiddlePosition_top"  class="form-control" value="{$imageData->voucherMiddlePosition_top|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-right">
          <input name="voucherMiddlePosition_right" id="voucherMiddlePosition_right"  class="form-control" value="{$imageData->voucherMiddlePosition_right|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-bottom">
          <input name="voucherMiddlePosition_bottom" id="voucherMiddlePosition_bottom"  class="form-control" value="{$imageData->voucherMiddlePosition_bottom|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-left">
          <input name="voucherMiddlePosition_left" id="voucherMiddlePosition_left"  class="form-control" value="{$imageData->voucherMiddlePosition_left|@intval}">
        </div>
        <div class="input-group-prepend">
          <button type="button" data-position="Middle" data-open-modal="#voucherPosition"  id="voucherMiddlePositionButton" class="btn btn-info btn-lg btn-block positionButton" style="border-width: 0px; min-width: 150px;" data-dismiss="modal">Position</button>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>

      <div class="input-group mb-3">
        <div class="input-group-prepend" >
          <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Text horizontal / vertikal')}</span>
        </div>
        <div class="input-group-prepend">
          <select name="voucherMiddleAlign" id="voucherMiddleAlign"  class="form-control">
            <option {if $imageData->voucherMiddleAlign =='left' } selected {/if} value="left">{__('linksbündig')}</option>
            <option {if $imageData->voucherMiddleAlign =='right' } selected {/if} value="right">{__('rechtsbündig')}</option>
            <option {if $imageData->voucherMiddleAlign =='center' } selected {/if} value="center">{__('zentriert')}</option>
          </select>
        </div>
        <div class="input-group-prepend">
          <select name="voucherMiddleValign" id="voucherMiddleValign"  class="form-control">
            <option {if $imageData->voucherMiddleValign =='top' } selected {/if} value="top">{__('oben')}</option>
            <option {if $imageData->voucherMiddleValign =='bottom' } selected {/if} value="bottom">{__('unten')}</option>
            <option {if empty($imageData->voucherMiddleValign) || $imageData->voucherMiddleValign =='middle' } selected {/if} value="middle">{__('mittig')}</option>
          </select>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>

      <div class="input-group mb-3">
        <div class="input-group-prepend" >
          <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Font Size / Farbe / Art')}</span>
        </div>
        <div class="input-group-prepend">
          <input name="voucherMiddleFontSize" id="voucherMiddleFontSize"  class="form-control" value="{if !$imageData->voucherMiddleFontSize}14{else}{$imageData->voucherMiddleFontSize}{/if}">
        </div>
        <div class="input-group-prepend colorselector">
          <input name="voucherMiddleColor" id="voucherMiddleColor"  class="form-control cWheel" value="{$imageData->voucherMiddleColor}">
        </div>
        <div class="input-group-prepend colorselector">
          <select name="voucherMiddleFontFamily" id="voucherMiddleFontFamily"  data-font-path="{$voucherFontPath}" class="form-control">
            {if is_array($voucherFonts)}
              {foreach from=$voucherFonts item=font}
                <option {if $font == $imageData->voucherMiddleFontFamily} selected {/if} value="{$font}" >{$font|replace:".ttf":""}</option>
              {/foreach}
            {else}
              <option value="standard" >{__('Standard Schrift')}</option>
            {/if}
          </select>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>
      <div class="input-group mb-3">
        <div class="input-group-prepend" >
          <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Währung anzeigen')}</span>
        </div>
        <select id="currency" name="currency" class="form-control">
          <option {if $imageData->currency =='Y'} selected="selected" {/if} value="Y">{__('Ja')}</option>
          <option {if $imageData->currency =='N'} selected="selected" {/if} value="N">{__('Nein')}</option>
        </select>
        <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Die Währung wird hinter dem Betrag angezeigt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
        </div>
      </div>

    </fieldset>


    <fieldset class="border p-2 form-group"><legend class="w-auto">{__('Gutscheincode')}</legend>
      <div class="input-group mb-3">
        <div class="input-group-prepend input-label" >
          <span class="input-group-text" style="white-space:normal; text-align:left">{__('Konfiguration Gutscheincode:')}</span>
        </div>
        <div class="input-group-prepend position-field position-field-top">
          <input name="voucherBottomPosition_top" id="voucherBottomPosition_top"  class="form-control" value="{$imageData->voucherBottomPosition_top|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-right">
          <input name="voucherBottomPosition_right" id="voucherBottomPosition_right"  class="form-control" value="{$imageData->voucherBottomPosition_right|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-bottom">
          <input name="voucherBottomPosition_bottom" id="voucherBottomPosition_bottom"  class="form-control" value="{$imageData->voucherBottomPosition_bottom|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-left">
          <input name="voucherBottomPosition_left" id="voucherBottomPosition_left"  class="form-control" value="{$imageData->voucherBottomPosition_left|@intval}">
        </div>

        <div class="input-group-prepend">
          <button type="button" data-position="Bottom" data-open-modal="#voucherPosition"  id="voucherBottomPositionButton" class="btn btn-info btn-lg btn-block positionButton" style="border-width: 0px; min-width: 150px;" data-dismiss="modal">Position</button>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>

      <div class="input-group mb-3">
        <div class="input-group-prepend" >
          <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Text horizontal / vertikal')}</span>
        </div>
        <div class="input-group-prepend">
          <select name="voucherBottomAlign" id="voucherBottomAlign"  class="form-control">
            <option {if $imageData->voucherBottomAlign =='left' } selected {/if} value="left">{__('linksbündig')}</option>
            <option {if $imageData->voucherBottomAlign =='right' } selected {/if} value="right">{__('rechtsbündig')}</option>
            <option {if $imageData->voucherBottomAlign =='center' } selected {/if} value="center">{__('zentriert')}</option>
          </select>
        </div>
        <div class="input-group-prepend">
          <select name="voucherBottomValign" id="voucherBottomValign"  class="form-control">
            <option {if $imageData->voucherBottomValign =='top' } selected {/if} value="top">{__('oben')}</option>
            <option {if $imageData->voucherBottomValign =='bottom' } selected {/if} value="bottom">{__('unten')}</option>
            <option {if empty($imageData->voucherBottomValign) || $imageData->voucherBottomValign =='middle' } selected {/if} value="middle">{__('mittig')}</option>
          </select>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>

      <div class="input-group mb-3">
        <div class="input-group-prepend" >
          <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Font Size / Farbe / Art')}</span>
        </div>
        <div class="input-group-prepend">
          <input name="voucherBottomFontSize" id="voucherBottomFontSize"  class="form-control" value="{if !$imageData->voucherBottomFontSize}14{else}{$imageData->voucherBottomFontSize}{/if}">
        </div>
        <div class="input-group-prepend colorselector">
          <input name="voucherBottomColor" id="voucherBottomColor"  class="form-control cWheel" value="{$imageData->voucherBottomColor}">
        </div>
        <div class="input-group-prepend colorselector">
          <select name="voucherBottomFontFamily" id="voucherBottomFontFamily"  data-font-path="{$voucherFontPath}"  class="form-control">
            {if is_array($voucherFonts)}
              {foreach from=$voucherFonts item=font}
                <option {if $font == $imageData->voucherBottomFontFamily} selected {/if} value="{$font}" >{$font|replace:".ttf":""}</option>
              {/foreach}
            {else}
              <option value="standard" >{__('Standard Schrift')}</option>
            {/if}
          </select>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>
    </fieldset>

    <fieldset class="border p-2 form-group"><legend class="w-auto">{__('Laufzeit - Datumsangabe')}</legend>
      <div class="input-group mb-3">
        <div class="input-group-prepend input-label" >
          <span class="input-group-text" style="white-space:normal; text-align:left">{__('Konfiguration Datumsangabe:')}</span>
        </div>
        <div class="input-group-prepend position-field position-field-top">
          <input name="voucherDatePosition_top" id="voucherDatePosition_top"  class="form-control" value="{$imageData->voucherDatePosition_top|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-right">
          <input name="voucherDatePosition_right" id="voucherDatePosition_right"  class="form-control" value="{$imageData->voucherDatePosition_right|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-bottom">
          <input name="voucherDatePosition_bottom" id="voucherDatePosition_bottom"  class="form-control" value="{$imageData->voucherDatePosition_bottom|@intval}">
        </div>
        <div class="input-group-prepend position-field position-field-left">
          <input name="voucherDatePosition_left" id="voucherDatePosition_left"  class="form-control" value="{$imageData->voucherDatePosition_left|@intval}">
        </div>

        <div class="input-group-prepend">
          <button type="button" data-position="Date" data-open-modal="#voucherPosition"  id="voucherDatePositionButton" class="btn btn-info btn-lg btn-block positionButton" style="border-width: 0px; min-width: 150px;" data-dismiss="modal">Position</button>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>

      <div class="input-group mb-3">
        <div class="input-group-prepend" >
          <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Text horizontal / vertikal')}</span>
        </div>
        <div class="input-group-prepend">
          <select name="voucherDateAlign" id="voucherDateAlign"  class="form-control">
            <option {if $imageData->voucherDateAlign =='left' } selected {/if} value="left">{__('linksbündig')}</option>
            <option {if $imageData->voucherDateAlign =='right' } selected {/if} value="right">{__('rechtsbündig')}</option>
            <option {if $imageData->voucherDateAlign =='center' } selected {/if} value="center">{__('zentriert')}</option>
          </select>
        </div>
        <div class="input-group-prepend">
          <select name="voucherDateValign" id="voucherDateValign"  class="form-control">
            <option {if $imageData->voucherDateValign =='top' } selected {/if} value="top">{__('oben')}</option>
            <option {if $imageData->voucherDateValign =='bottom' } selected {/if} value="bottom">{__('unten')}</option>
            <option {if empty($imageData->voucherDateValign) || $imageData->voucherDateValign =='middle' } selected {/if} value="middle">{__('mittig')}</option>
          </select>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>

      <div class="input-group mb-3">
        <div class="input-group-prepend" >
          <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Font Size / Farbe / Art')}</span>
        </div>
        <div class="input-group-prepend">
          <input name="voucherDateFontSize" id="voucherDateFontSize"  class="form-control" value="{if !$imageData->voucherDateFontSize}14{else}{$imageData->voucherDateFontSize}{/if}">
        </div>
        <div class="input-group-prepend colorselector">
          <input name="voucherDateColor" id="voucherDateColor"  class="form-control cWheel" value="{$imageData->voucherDateColor}">
        </div>
        <div class="input-group-prepend colorselector">
          <select name="voucherDateFontFamily" id="voucherDateFontFamily"  data-font-path="{$voucherFontPath}"  class="form-control">
            {if is_array($voucherFonts)}
              {foreach from=$voucherFonts item=font}
                <option {if $font == $imageData->voucherDateFontFamily} selected {/if} value="{$font}" >{$font|replace:".ttf":""}</option>
              {/foreach}
            {else}
              <option value="standard" >{__('Standard Schrift')}</option>
            {/if}
          </select>
        </div>
        <div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte geben Sie die gewünschten Werte ein.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
        </div>
      </div>
    </fieldset>
    <div class="save-wrapper">
      <div class="ml-auto col-sm-6 col-xl-auto">
      <button class="btn btn-success btn-block" id="saveImageData" value="senden" type="button" name="senden">
        <i class="fa fa-save"></i> speichern
      </button>
    </div>
    </div>
  </div>
</form>


<script>

  $(document).on("click", "#css-reset" , function() {
    $(this).closest('form').find("input[name*='Position']").each(function(i, v) {
      $(this).val(0);
    });
  });

</script>